NXOpen .NET Reference  12.0.0
NXOpen.Routing.LineSegment Member List

This is the complete list of members for NXOpen.Routing.LineSegment, including all inherited members.

AttributeType enum nameNXOpen.NXObject
Blank()NXOpen.DisplayableObject
ColorNXOpen.DisplayableObject
ConvertEccentricLinearToLinear()NXOpen.Routing.LineSegment
ConvertLinearToEccentricLinear()NXOpen.Routing.LineSegment
CreateAttributeIterator()NXOpen.NXObject
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteCharacterstics(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.LineSegment
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
EndPointNXOpen.Line
Evaluate()NXOpen.SmartObject
FindObject(string journalIdentifier)NXOpen.NXObject
FollowCurveNXOpen.Routing.LineSegment
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetCableDevices()NXOpen.Routing.LineSegment
GetCablewaysLayoutViews()NXOpen.Routing.LineSegment
GetCharacteristics()NXOpen.Routing.LineSegment
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetDestinationCharacteristics()NXOpen.Routing.LineSegment
GetDraftingCurveInfo()NXOpen.Curve
GetEndPoints(out NXOpen.Point3d startPoint, out NXOpen.Point3d endPoint)NXOpen.Routing.LineSegment
GetEndRcps(out NXOpen.Routing.ControlPoint startRcp, out NXOpen.Routing.ControlPoint endRcp)NXOpen.Routing.LineSegment
GetGuid()NXOpen.Routing.LineSegment
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerCharacteristic(string name)NXOpen.Routing.LineSegment
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetIsEccentricSegment()NXOpen.Routing.LineSegment
GetIsSegmentInterior()NXOpen.Routing.LineSegment
GetIsTerminalSegment()NXOpen.Routing.LineSegment
GetLength()NXOpen.Curve
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetRealAttribute(string title)NXOpen.NXObject
GetRealCharacteristic(string name)NXOpen.Routing.LineSegment
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetReferenceAttribute(string title)NXOpen.NXObject
GetSegmentAllStocks()NXOpen.Routing.LineSegment
GetSegmentStock()NXOpen.Routing.LineSegment
GetStringAttribute(string title)NXOpen.NXObject
GetStringCharacteristic(string name)NXOpen.Routing.LineSegment
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
Highlight()NXOpen.DisplayableObject
IsAngleLocked(NXOpen.NXObject @object)NXOpen.Routing.LineSegment
IsBlankedNXOpen.DisplayableObject
IsLengthLocked()NXOpen.Routing.LineSegment
IsOccurrenceNXOpen.NXObject
IsReferenceNXOpen.Curve
JournalIdentifierNXOpen.NXObject
LayerNXOpen.DisplayableObject
LengthNXOpen.Routing.LineSegment
LineFontNXOpen.DisplayableObject
LineWidthNXOpen.DisplayableObject
LockAngle(NXOpen.NXObject @object, bool logicalConsOnly)NXOpen.Routing.LineSegment
LockLength()NXOpen.Routing.LineSegment
NameNXOpen.NXObject
NameLocationNXOpen.DisplayableObject
ObjectFont enum nameNXOpen.DisplayableObject
ObjectWidth enum nameNXOpen.DisplayableObject
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
Print()NXOpen.NXObject
ProtectFromDelete()NXOpen.SmartObject
PrototypeNXOpen.NXObject
RedisplayObject()NXOpen.DisplayableObject
ReleaseDeleteProtection()NXOpen.SmartObject
RemoveParameters()NXOpen.SmartObject
RemoveViewDependency()NXOpen.DisplayableObject
ReplaceParameters(NXOpen.SmartObject otherSo)NXOpen.SmartObject
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetCharacteristic(string name, int value)NXOpen.Routing.LineSegment
SetCharacteristic(string name, double value)NXOpen.Routing.LineSegment
SetCharacteristic(string name, string value)NXOpen.Routing.LineSegment
SetCharacteristic2(string title, int value)NXOpen.Routing.LineSegment
SetCharacteristic2(string title, double value)NXOpen.Routing.LineSegment
SetCharacteristic2(string title, string value)NXOpen.Routing.LineSegment
SetCharacteristics(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.LineSegment
SetCharacteristics2(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.LineSegment
SetEndPoint(NXOpen.Point3d endPoint)NXOpen.Line
SetEndPoints(NXOpen.Point3d startPoint, NXOpen.Point3d endPoint)NXOpen.Routing.LineSegment
SetEndpoints(NXOpen.Point3d startPoint, NXOpen.Point3d endPoint)NXOpen.Line
SetEndRcps(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp)NXOpen.Routing.LineSegment
SetIsTerminalSegment(NXOpen.Routing.Terminal isTerminal)NXOpen.Routing.LineSegment
SetName(string name)NXOpen.NXObject
SetNameLocation(NXOpen.Point3d location)NXOpen.DisplayableObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetSegmentInteriorPart(NXOpen.Assemblies.Component interiorPart)NXOpen.Routing.LineSegment
SetStartPoint(NXOpen.Point3d startPoint)NXOpen.Line
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
SetVisibility(NXOpen.SmartObject.VisibilityOption visibility)NXOpen.SmartObject
StartPointNXOpen.Line
Unblank()NXOpen.DisplayableObject
Unhighlight()NXOpen.DisplayableObject
UnlockAngle(NXOpen.NXObject @object)NXOpen.Routing.LineSegment
UnlockLength()NXOpen.Routing.LineSegment
UpdateNXOpen.SmartObject
UpdateOption enum nameNXOpen.SmartObject
VisibilityNXOpen.SmartObject
VisibilityOption enum nameNXOpen.SmartObject
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.